---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 3.3.0
platform: linux
architecture: x64
distribution: tar
id: '8655'
rc: '5'
test-run:
  Command: ./test.sh integ-test manifests/3.3.0/opensearch-dashboards-3.3.0-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.0/11452/linux/x64/tar
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.3.0/8655/linux/x64/tar
  TestType: integ-test
  TestManifest: manifests/3.3.0/opensearch-dashboards-3.3.0-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.3.0/8655/linux/x64/tar/dist/opensearch-dashboards/manifest.yml
  TestID: '7923'
components:
  - name: securityAnalyticsDashboards
    command: ./test.sh integ-test manifests/3.3.0/opensearch-dashboards-3.3.0-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.3.0/11452/linux/x64/tar
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/3.3.0/8655/linux/x64/tar
      --component securityAnalyticsDashboards
    repository: https://github.com/opensearch-project/security-analytics-dashboards-plugin.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/securityAnalyticsDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/securityAnalyticsDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/3.3.0/8655/linux/x64/tar/test-results/7923/integ-test/securityAnalyticsDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
